﻿&Вместо("ТекстЗапросаРасходыПослеРаспределенияИсточники")
Функция исперп_ТекстЗапросаРасходыПослеРаспределенияИсточники()
	
	Если исперп_Правка
		.Включена(исперп_Идентификатор.ДокументРаспределениеПрочихЗатрат_ТекстЗапросаРасходыПослеРаспределенияИсточники()) Тогда
		Возврат "
		|ВЫБРАТЬ
		|//РежимОтладки ""АктуальныеОстаткиРасходовНаКонецМесяца"" КАК ЗапросИсточник,
		|		НеРаспределенные.Организация КАК Организация,
		|		НеРаспределенные.Подразделение КАК Подразделение,
		|		НеРаспределенные.СтатьяРасходов КАК СтатьяРасходов,
		|		НеРаспределенные.АналитикаРасходов КАК АналитикаРасходов,
		|		НеРаспределенные.НаправлениеДеятельности КАК НаправлениеДеятельности,
		|		Статьи.ВариантРаспределенияРасходовУпр,
		|		Статьи.ВариантРаспределенияРасходовРегл,
		|		Статьи.ВариантРаспределенияРасходовНУ,
		|		ВЫБОР
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовУпр В (&ВариантыРаспределенияРасходов)
		//++ НЕ УТ
		|					ИЛИ Статьи.ВариантРаспределенияРасходовУпр = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		//-- НЕ УТ
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.СуммаОстаток
		|		КОНЕЦ КАК СуммаОстаток,
		|		ВЫБОР
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовУпр В (&ВариантыРаспределенияРасходов)
		//++ НЕ УТ
		|					ИЛИ Статьи.ВариантРаспределенияРасходовУпр = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		//-- НЕ УТ
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.СуммаБезНДСОстаток
		|		КОНЕЦ КАК СуммаБезНДСОстаток,
		|		ВЫБОР
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовУпр В (&ВариантыРаспределенияРасходов)
		//++ НЕ УТ
		|					ИЛИ Статьи.ВариантРаспределенияРасходовУпр = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		//-- НЕ УТ
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.СуммаУпрОстаток
		|		КОНЕЦ КАК СуммаУпрОстаток,
		//++ НЕ УТ
		|		ВЫБОР
		|			КОГДА Статьи.ВариантРаспределенияРасходовНУ В (&ВариантыРаспределенияРасходов)
		|				ТОГДА НеРаспределенные.СуммаРеглОстаток - НеРаспределенные.ПостояннаяРазницаОстаток - НеРаспределенные.ВременнаяРазницаОстаток
		|			ИНАЧЕ
		|				0
		|		КОНЕЦ +
		//-- НЕ УТ
		|		0 КАК СуммаНУОстаток,
		|		ВЫБОР
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовРегл В (&ВариантыРаспределенияРасходов)
		//++ НЕ УТ
		|					ИЛИ Статьи.ВариантРаспределенияРасходовРегл = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		//-- НЕ УТ
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.СуммаРеглОстаток
		|		КОНЕЦ КАК СуммаРеглОстаток,
		//++ НЕ УТ
		|		ВЫБОР
		|			КОГДА &ИсключитьИзКонтроляРазницы
		|				ТОГДА 0
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовРегл В (&ВариантыРаспределенияРасходов)
		|					ИЛИ Статьи.ВариантРаспределенияРасходовРегл = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.ПостояннаяРазницаОстаток
		|		КОНЕЦ +
		//-- НЕ УТ
		|		0 КАК ПостояннаяРазницаОстаток,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаУУ,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаБУ,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаНУ
		|//РежимОтладки ПОМЕСТИТЬ ВтИсточникиНераспределенныхРасходов
		|	ИЗ
		|		РегистрНакопления.ПрочиеРасходы.Остатки(
		|				&ГраницаКонецПериода,
		|				(Организация, Подразделение, НаправлениеДеятельности, СтатьяРасходов, АналитикаРасходов) В 
		|					(ВЫБРАТЬ 
		|						Т.Организация,
		|						Т.Подразделение,
		|						Т.НаправлениеДеятельности,
		|						Т.СтатьяРасходов,
		|						Т.АналитикаРасходов 
		|					ИЗ РасходыКРаспределениюСводно КАК Т
		|					ГДЕ НЕ Т.СтатьяРасходов = ЗНАЧЕНИЕ(ПланВидовХарактеристик.СтатьиРасходов.ПустаяСсылка))) КАК НеРаспределенные
		|			ВНУТРЕННЕЕ СОЕДИНЕНИЕ ПланВидовХарактеристик.СтатьиРасходов КАК Статьи
		|			ПО НеРаспределенные.СтатьяРасходов = Статьи.Ссылка
		//++ НЕ УТ
		|			ЛЕВОЕ СОЕДИНЕНИЕ ВтДолиСписанияКосвенныхРасходов КАК ДолиСписания
		|			ПО НеРаспределенные.СтатьяРасходов = ДолиСписания.СтатьяРасходов
		|				И НеРаспределенные.Организация = ДолиСписания.Организация
		|			ЛЕВОЕ СОЕДИНЕНИЕ НормированиеНаСчетахУчетах КАК НормированиеНаСчетахУчетах
		|			ПО НеРаспределенные.Организация = НормированиеНаСчетахУчетах.Организация
		|				И НеРаспределенные.Подразделение = НормированиеНаСчетахУчетах.Подразделение
		|				И НеРаспределенные.НаправлениеДеятельности = НормированиеНаСчетахУчетах.НаправлениеДеятельности
		|				И НеРаспределенные.СтатьяРасходов = НормированиеНаСчетахУчетах.СтатьяРасходов
		|				И НеРаспределенные.АналитикаРасходов = НормированиеНаСчетахУчетах.АналитикаРасходов
		//++ Локализация
		|	ОБЪЕДИНИТЬ ВСЕ
		|	
		|	ВЫБРАТЬ
		|//РежимОтладки ""КорректировкаПриЗакрытииГода"" КАК ЗапросИсточник,
		|		РегламентныеДвижения.Организация КАК Организация,
		|		РегламентныеДвижения.Подразделение КАК Подразделение,
		|		РегламентныеДвижения.СтатьяРасходов КАК СтатьяРасходов,
		|		РегламентныеДвижения.АналитикаРасходов КАК АналитикаРасходов,
		|		РегламентныеДвижения.НаправлениеДеятельности КАК НаправлениеДеятельности,
		|		Статьи.ВариантРаспределенияРасходовУпр,
		|		Статьи.ВариантРаспределенияРасходовРегл,
		|		Статьи.ВариантРаспределенияРасходовНУ,
		|		0 КАК СуммаОстаток,
		|		0 КАК СуммаБезНДСОстаток,
		|		0 КАК СуммаУпрОстаток,
		|		- РегламентныеДвижения.ПостояннаяРазница КАК СуммаНУОстаток,
		|		0 КАК СуммаРеглОстаток,
		|		РегламентныеДвижения.ПостояннаяРазница КАК ПостояннаяРазницаОстаток,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаУУ,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаБУ,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаНУ
		|	ИЗ
		|		РегистрНакопления.ПрочиеРасходы КАК РегламентныеДвижения
		|			ВНУТРЕННЕЕ СОЕДИНЕНИЕ РасходыКРаспределению КАК Расходы
		|			ПО РегламентныеДвижения.Организация = Расходы.Организация
		|				И РегламентныеДвижения.Подразделение = Расходы.Подразделение
		|				И РегламентныеДвижения.НаправлениеДеятельности = Расходы.НаправлениеДеятельности
		|				И РегламентныеДвижения.СтатьяРасходов = Расходы.СтатьяРасходов
		|				И РегламентныеДвижения.АналитикаРасходов = Расходы.АналитикаРасходов
		|			ВНУТРЕННЕЕ СОЕДИНЕНИЕ ПланВидовХарактеристик.СтатьиРасходов КАК Статьи
		|			ПО РегламентныеДвижения.СтатьяРасходов = Статьи.Ссылка
		|	ГДЕ
		|		РегламентныеДвижения.Период МЕЖДУ &НачалоПериода И &КонецПериода
		|		И РегламентныеДвижения.ВидДвижения = ЗНАЧЕНИЕ(ВидДвиженияНакопления.Расход)
		|		И ТИПЗНАЧЕНИЯ(РегламентныеДвижения.Регистратор) = ТИП(Документ.РегламентнаяОперация)
		|		И НЕ РегламентныеДвижения.ХозяйственнаяОперация = ЗНАЧЕНИЕ(Перечисление.ХозяйственныеОперации.СписаниеКосвенныхРасходов)
		//-- Локализация
		|		
		|	ОБЪЕДИНИТЬ ВСЕ
		|	
		|	ВЫБРАТЬ
		|//РежимОтладки ""КорректировкаНаФиксируемыеОстаткиНЗП"" КАК ЗапросИсточник,
		|		Расходы.Организация,
		|		Расходы.Подразделение,
		|		Расходы.СтатьяРасходов,
		|		Расходы.АналитикаРасходов,
		|		Расходы.НаправлениеДеятельности,
		|		Статьи.ВариантРаспределенияРасходовУпр,
		|		Статьи.ВариантРаспределенияРасходовРегл,
		|		Статьи.ВариантРаспределенияРасходовНУ,
		|		ВЫБОР
		|			КОГДА НЕ ДокументыРаспределенияУУ.Документ ЕСТЬ NULL
		|				ТОГДА -Расходы.Сумма * ДокументыРаспределенияУУ.ДоляСтоимостиНаНЗП / ДокументыРаспределенияУУ.ВсегоДолейСтоимости
		|			ИНАЧЕ 0
		|		КОНЕЦ,
		|		ВЫБОР
		|			КОГДА НЕ ДокументыРаспределенияУУ.Документ ЕСТЬ NULL
		|				ТОГДА -Расходы.СуммаБезНДС * ДокументыРаспределенияУУ.ДоляСтоимостиНаНЗП / ДокументыРаспределенияУУ.ВсегоДолейСтоимости
		|			ИНАЧЕ 0
		|		КОНЕЦ,
		|		ВЫБОР
		|			КОГДА НЕ ДокументыРаспределенияУУ.Документ ЕСТЬ NULL
		|				ТОГДА -Расходы.СуммаУпр * ДокументыРаспределенияУУ.ДоляСтоимостиНаНЗП / ДокументыРаспределенияУУ.ВсегоДолейСтоимости
		|			ИНАЧЕ 0
		|		КОНЕЦ,
		|		ВЫБОР
		// ::: +++ Перенесено из 2.5.7.394, потому как ненулевой остаток НУ в НЗП по логике проверки выдает ошибку распределения
		|			КОГДА &ИсключитьИзКонтроляРазницы
		|				ТОГДА 0
		|			КОГДА НЕ ДокументыРаспределенияНУ.Документ ЕСТЬ NULL
		|				ТОГДА (
		|					ВЫБОР
		|						КОГДА ДокументыРаспределенияНУ.НазначениеНастройкиРаспределения = ЗНАЧЕНИЕ(Перечисление.НазначениеПравилРаспределенияРасходов.РаспределениеСтатейРасходовПоЭтапамПроизводства)
		|							И Статьи.ВариантРаспределенияРасходовНУ = Статьи.ВариантРаспределенияРасходовРегл
		|						ТОГДА 
		|							Расходы.СуммаРегл - Расходы.ПостояннаяРазница - Расходы.ВременнаяРазница
		|						ИНАЧЕ
		|							0
		|					КОНЕЦ) * ДокументыРаспределенияНУ.ДоляСтоимостиНаНЗП / ДокументыРаспределенияНУ.ВсегоДолейСтоимости
		|			ИНАЧЕ 0
		|		КОНЕЦ * -1,
		|		ВЫБОР
		|			КОГДА НЕ ДокументыРаспределенияБУ.Документ ЕСТЬ NULL
		|				ТОГДА -Расходы.СуммаРегл * ДокументыРаспределенияБУ.ДоляСтоимостиНаНЗП / ДокументыРаспределенияБУ.ВсегоДолейСтоимости
		|			ИНАЧЕ 0
		|		КОНЕЦ,
		|		ВЫБОР
		|			КОГДА &ИсключитьИзКонтроляРазницы
		|				ТОГДА 0
		|			КОГДА НЕ ДокументыРаспределенияБУ.Документ ЕСТЬ NULL
		|				ТОГДА -Расходы.ПостояннаяРазница * ДокументыРаспределенияБУ.ДоляСтоимостиНаНЗП / ДокументыРаспределенияБУ.ВсегоДолейСтоимости
		|			ИНАЧЕ 0
		|		КОНЕЦ,
		|		(НЕ ДокументыРаспределенияУУ.Документ ЕСТЬ NULL),
		|		(НЕ ДокументыРаспределенияБУ.Документ ЕСТЬ NULL),
		|		(НЕ ДокументыРаспределенияНУ.Документ ЕСТЬ NULL)
		|	ИЗ
		|		РасходыКРаспределениюСводно КАК Расходы
		|			ВНУТРЕННЕЕ СОЕДИНЕНИЕ ПланВидовХарактеристик.СтатьиРасходов КАК Статьи
		|			ПО Расходы.СтатьяРасходов = Статьи.Ссылка
		|			ЛЕВОЕ СОЕДИНЕНИЕ ДокументыРаспределения КАК ДокументыРаспределенияУУ
		|			ПО Расходы.Организация = ДокументыРаспределенияУУ.Организация
		|				И Расходы.Подразделение = ДокументыРаспределенияУУ.Подразделение
		|				И Расходы.НаправлениеДеятельности = ДокументыРаспределенияУУ.НаправлениеДеятельности
		|				И Расходы.СтатьяРасходов = ДокументыРаспределенияУУ.СтатьяРасходов
		|				И Расходы.АналитикаРасходов = ДокументыРаспределенияУУ.АналитикаРасходов
		|				И ДокументыРаспределенияУУ.УправленческийУчет
		|				И (ДокументыРаспределенияУУ.ОставитьВНЗП)
		|			ЛЕВОЕ СОЕДИНЕНИЕ ДокументыРаспределения КАК ДокументыРаспределенияБУ
		|			ПО Расходы.Организация = ДокументыРаспределенияБУ.Организация
		|				И Расходы.Подразделение = ДокументыРаспределенияБУ.Подразделение
		|				И Расходы.НаправлениеДеятельности = ДокументыРаспределенияБУ.НаправлениеДеятельности
		|				И Расходы.СтатьяРасходов = ДокументыРаспределенияБУ.СтатьяРасходов
		|				И Расходы.АналитикаРасходов = ДокументыРаспределенияБУ.АналитикаРасходов
		|				И ДокументыРаспределенияБУ.РегламентированныйУчет
		|				И (ДокументыРаспределенияБУ.ОставитьВНЗП)
		|			ЛЕВОЕ СОЕДИНЕНИЕ ДокументыРаспределения КАК ДокументыРаспределенияНУ
		|			ПО Расходы.Организация = ДокументыРаспределенияНУ.Организация
		|				И Расходы.Подразделение = ДокументыРаспределенияНУ.Подразделение
		|				И Расходы.НаправлениеДеятельности = ДокументыРаспределенияНУ.НаправлениеДеятельности
		|				И Расходы.СтатьяРасходов = ДокументыРаспределенияНУ.СтатьяРасходов
		|				И Расходы.АналитикаРасходов = ДокументыРаспределенияНУ.АналитикаРасходов
		|				И ДокументыРаспределенияНУ.НалоговыйУчет
		|				И (ДокументыРаспределенияНУ.ОставитьВНЗП)
		|	ГДЕ
		|		НЕ ДокументыРаспределенияУУ.Документ ЕСТЬ NULL
		|		ИЛИ НЕ ДокументыРаспределенияБУ.Документ ЕСТЬ NULL
		|		ИЛИ НЕ ДокументыРаспределенияНУ.Документ ЕСТЬ NULL
		|	
		|	ОБЪЕДИНИТЬ ВСЕ
		|	
		|	ВЫБРАТЬ
		|//РежимОтладки ""КорректировкаНаНормированиеРасходов"" КАК ЗапросИсточник,
		|		Расходы.Организация,
		|		Расходы.Подразделение,
		|		Расходы.СтатьяРасходов,
		|		Расходы.АналитикаРасходов,
		|		Расходы.НаправлениеДеятельности,
		|		Статьи.ВариантРаспределенияРасходовУпр,
		|		Статьи.ВариантРаспределенияРасходовРегл,
		|		Статьи.ВариантРаспределенияРасходовНУ,
		|		0,
		|		0,
		|		0,
		|		ВЫБОР
		|			КОГДА ДолиСписания.НовыйАлгоритмСписания И НЕ ДолиСписания.Транспортные
		|				ТОГДА 0
		|			ИНАЧЕ
		|				ВЫРАЗИТЬ((Расходы.СуммаРегл - Расходы.ПостояннаяРазница - Расходы.ВременнаяРазница) * (ДолиСписания.ДоляСписания - 1) КАК ЧИСЛО(31, 2))
		|		КОНЕЦ КАК СуммаНУ,
		|		ВЫБОР
		|			КОГДА НЕ ДолиСписания.Транспортные
		|				ТОГДА 0
		|			ИНАЧЕ
		|				ВЫРАЗИТЬ(Расходы.СуммаРегл * (ДолиСписания.ДоляСписания - 1) КАК ЧИСЛО(31, 2))
		|		КОНЕЦ КАК СуммаРегл,
		|		ВЫБОР
		|			КОГДА НЕ ДолиСписания.Транспортные
		|				ТОГДА 0
		|			ИНАЧЕ
		|				ВЫРАЗИТЬ(Расходы.ПостояннаяРазница * (ДолиСписания.ДоляСписания - 1) КАК ЧИСЛО(31, 2))
		|		КОНЕЦ
		|		- ВЫБОР
		|			КОГДА ДолиСписания.НовыйАлгоритмСписания ИЛИ НЕ ДолиСписания.Нормируемые
		|				ТОГДА 0
		|			ИНАЧЕ
		|				ВЫРАЗИТЬ((Расходы.СуммаРегл - Расходы.ПостояннаяРазница - Расходы.ВременнаяРазница) * (ДолиСписания.ДоляСписания - 1) КАК ЧИСЛО(31, 2))
		|		КОНЕЦ КАК ПостояннаяРазница,
		|		ЛОЖЬ,
		|		ВЫБОР
		|			КОГДА ВЫРАЗИТЬ(Расходы.СуммаРегл * ДолиСписания.ДоляСписания КАК ЧИСЛО(31, 2)) = 0
		|				И ВЫРАЗИТЬ(Расходы.ПостояннаяРазница * ДолиСписания.ДоляСписания КАК ЧИСЛО(31, 2)) = 0
		|			ТОГДА ЛОЖЬ
		|			ИНАЧЕ 
		|				ЕСТЬNULL(ВозможныеДвижения.ЕстьДвиженияНаФинансовыйРезультатРегл, ЛОЖЬ)
		|		КОНЕЦ,
		|		ВЫБОР
		|			КОГДА ВЫРАЗИТЬ(
		|				(Расходы.СуммаРегл - Расходы.ПостояннаяРазница - Расходы.ВременнаяРазница) * ДолиСписания.ДоляСписания КАК ЧИСЛО(31, 2)) = 0
		|			ТОГДА ЛОЖЬ
		|			ИНАЧЕ 
		|				ЕСТЬNULL(ВозможныеДвижения.ЕстьДвиженияНаФинансовыйРезультатНал, ЛОЖЬ)
		|		КОНЕЦ
		|	ИЗ
		|		РасходыКРаспределению КАК Расходы
		|		ВНУТРЕННЕЕ СОЕДИНЕНИЕ ПланВидовХарактеристик.СтатьиРасходов КАК Статьи
		|		ПО Расходы.СтатьяРасходов = Статьи.Ссылка
		|		ВНУТРЕННЕЕ СОЕДИНЕНИЕ ВтДолиСписанияКосвенныхРасходов КАК ДолиСписания
		|		ПО Расходы.СтатьяРасходов = ДолиСписания.СтатьяРасходов
		|			И Расходы.Организация = ДолиСписания.Организация
		|		ЛЕВОЕ СОЕДИНЕНИЕ ДвиженияСтатейРасходов КАК ВозможныеДвижения
		|		ПО Расходы.Организация = ВозможныеДвижения.Организация
		|			И Расходы.Подразделение = ВозможныеДвижения.Подразделение
		|			И Расходы.НаправлениеДеятельности = ВозможныеДвижения.НаправлениеДеятельности
		|			И Расходы.СтатьяРасходов = ВозможныеДвижения.СтатьяРасходов
		|			И Расходы.АналитикаРасходов = ВозможныеДвижения.АналитикаРасходов
		|
		|	ОБЪЕДИНИТЬ ВСЕ
		|	
		|	ВЫБРАТЬ
		|//РежимОтладки ""АктуальныеОстаткиРасходовНаКонецМесяцаПоОВЗ"" КАК ЗапросИсточник,
		|		НеРаспределенные.Организация КАК Организация,
		|		НеРаспределенные.Подразделение КАК Подразделение,
		|		ЗНАЧЕНИЕ(ПланВидовХарактеристик.СтатьиРасходов.ПустаяСсылка) КАК СтатьяРасходов,
		|		НеРаспределенные.АналитикаРасходов КАК АналитикаРасходов,
		|		ЗНАЧЕНИЕ(Справочник.НаправленияДеятельности.ПустаяСсылка) КАК НаправлениеДеятельности,
		|		ОВЗ.ВариантРаспределенияРасходовУпр,
		|		ОВЗ.ВариантРаспределенияРасходовРегл,
		|		ОВЗ.ВариантРаспределенияРасходовНУ,
		|		ВЫБОР
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовУпр = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		|					ИЛИ НЕ ОВЗ.ВариантРаспределенияРасходовУпр В (&ВариантыРаспределенияРасходов)
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.СуммаОстаток
		|		КОНЕЦ КАК СуммаОстаток,
		|		ВЫБОР
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовУпр = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		|					ИЛИ НЕ ОВЗ.ВариантРаспределенияРасходовУпр В (&ВариантыРаспределенияРасходов)
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.СуммаБезНДСОстаток
		|		КОНЕЦ КАК СуммаБезНДСОстаток,
		|		ВЫБОР
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовУпр = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		|					ИЛИ НЕ ОВЗ.ВариантРаспределенияРасходовУпр В (&ВариантыРаспределенияРасходов)
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.СуммаУпрОстаток
		|		КОНЕЦ КАК СуммаУпрОстаток,
		|		ВЫБОР
		|			КОГДА &ИсключитьИзКонтроляРазницы
		|				ТОГДА 0
		|			КОГДА Статьи.ВариантРаспределенияРасходовНУ = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		|					И ОВЗ.ВариантРаспределенияРасходовНУ = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаНаправленияДеятельности)
		|				ТОГДА НеРаспределенные.СуммаРеглОстаток - НеРаспределенные.ПостояннаяРазницаОстаток - НеРаспределенные.ВременнаяРазницаОстаток
		|			ИНАЧЕ
		|				0
		|		КОНЕЦ КАК СуммаНУОстаток,
		|		ВЫБОР
		|			КОГДА НЕ Статьи.ВариантРаспределенияРасходовРегл = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		|					ИЛИ НЕ ОВЗ.ВариантРаспределенияРасходовРегл В (&ВариантыРаспределенияРасходов)
		|				ТОГДА 0
		|			ИНАЧЕ
		|				НеРаспределенные.СуммаРеглОстаток
		|		КОНЕЦ КАК СуммаРеглОстаток,
		|		ВЫБОР
		|			КОГДА &ИсключитьИзКонтроляРазницы
		|				ТОГДА 0
		|			КОГДА Статьи.ВариантРаспределенияРасходовНУ = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаОбъектыВозникновенияЗатрат)
		|					И ОВЗ.ВариантРаспределенияРасходовНУ = ЗНАЧЕНИЕ(Перечисление.ВариантыРаспределенияРасходов.НаНаправленияДеятельности)
		|				ТОГДА НеРаспределенные.ПостояннаяРазницаОстаток
		|			ИНАЧЕ
		|				0
		|		КОНЕЦ,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаУУ,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаБУ,
		|		ЛОЖЬ КАК ЕстьПогрешностьРасчетаНУ
		|	ИЗ
		|		РегистрНакопления.ПрочиеРасходы.Остатки(
		|				&ГраницаКонецПериода,
		|				(Организация, Подразделение, АналитикаРасходов) В 
		|					(ВЫБРАТЬ 
		|						Т.Организация,
		|						Т.Подразделение,
		|						Т.АналитикаРасходов 
		|					ИЗ РасходыКРаспределениюСводно КАК Т
		|					ГДЕ Т.СтатьяРасходов = ЗНАЧЕНИЕ(ПланВидовХарактеристик.СтатьиРасходов.ПустаяСсылка))) КАК НеРаспределенные
		|		ВНУТРЕННЕЕ СОЕДИНЕНИЕ ПланВидовХарактеристик.СтатьиРасходов КАК Статьи
		|		ПО НеРаспределенные.СтатьяРасходов = Статьи.Ссылка
		|		ВНУТРЕННЕЕ СОЕДИНЕНИЕ Справочник.ОбъектыВозникновенияЗатрат КАК ОВЗ
		|		ПО НеРаспределенные.АналитикаРасходов = ОВЗ.Ссылка
		//-- НЕ УТ
		|";  
	Иначе
		Возврат ПродолжитьВызов();
	КонецЕсли; 
	
КонецФункции  
